Bug 1243884 - No logs available for stuck puppet runs
Summary: No logs available for stuck puppet runs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-heat-templates
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 10.0 (Newton)
Assignee: Steve Baker
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On:
Blocks: 1242396
TreeView+ depends on / blocked
 
Reported: 2015-07-16 13:51 UTC by Mike Burns
Modified: 2016-12-14 15:14 UTC (History)
16 users (show)

Fixed In Version: openstack-heat-templates-0-0.5.1e6015dgit.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of: 1242396
Environment:
Last Closed: 2016-12-14 15:14:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 188737 None None None Never

Comment 3 Mike Burns 2015-08-31 19:06:31 UTC
dropping THT patch from this bug.  It will be included in bug 1242396

Comment 6 Martin Magr 2015-10-21 19:24:23 UTC
How to verify: after RDOm installation each overcloud node has to have Puppet run logs in /var/run/heat/deployed

Comment 10 Zane Bitter 2016-02-16 00:04:27 UTC
Moving to ON_DEV since there's actually no patch posted.

Comment 11 Steve Baker 2016-06-27 00:49:02 UTC
My upstream overcloud nodes have a populated /var/run/heat-config/deployed, so I think this can be ON_QA for RHOS-10

Comment 14 Dan Prince 2016-09-23 15:01:40 UTC
Similar to Steve Bakers comments above. I think we should be good to go on this one now.

Comment 15 Alexander Chuzhoy 2016-11-01 22:02:12 UTC
Verified:

Version:
openstack-heat-templates-0.0.1-0.20161011152629.40a4ed0.el7ost.noarch

I see logs on OC node under /var/run/heat-config/deployed/:


[root@ceph-0 ~]# ls  /var/run/heat-config/deployed
2016-11-01-19-25-43Z-e15ef0f0-dd54-48f9-ab01-51cf2d7c1300-stderr.log  2016-11-01-19-33-31Z-a4d3c026-1894-4acd-9b64-ff352fd1eb99-stdout.log  2016-11-01-20-50-56Z-50d624ee-2bb6-41d1-9639-e82d77ce78d7-stderr.log
2016-11-01-19-25-43Z-e15ef0f0-dd54-48f9-ab01-51cf2d7c1300-stdout.log  2016-11-01-19-38-48Z-fcd5014b-c42b-43e3-92a4-df328a89b20b-stderr.log  2016-11-01-20-50-56Z-50d624ee-2bb6-41d1-9639-e82d77ce78d7-stdout.log
2016-11-01-19-28-50Z-ca90a461-930b-48e0-b1c5-10dff510b0f9-stderr.log  2016-11-01-19-38-48Z-fcd5014b-c42b-43e3-92a4-df328a89b20b-stdout.log  2016-11-01-20-53-52Z-50f922e2-2d1e-4d2a-bd25-4aa31f565922-stderr.log
2016-11-01-19-28-50Z-ca90a461-930b-48e0-b1c5-10dff510b0f9-stdout.log  2016-11-01-20-46-12Z-f728e4c4-8549-4e39-befa-0832f2f3fcf1-stderr.log  2016-11-01-20-53-52Z-50f922e2-2d1e-4d2a-bd25-4aa31f565922-stdout.log
2016-11-01-19-30-46Z-a002b5ce-e711-4577-9ac9-4d60e4c47147-stderr.log  2016-11-01-20-46-12Z-f728e4c4-8549-4e39-befa-0832f2f3fcf1-stdout.log  2016-11-01-20-58-57Z-7c41a6ed-6192-4fea-ae58-e8917dd6e104-stderr.log
2016-11-01-19-30-46Z-a002b5ce-e711-4577-9ac9-4d60e4c47147-stdout.log  2016-11-01-20-49-10Z-c6a94c4a-f93b-4472-b740-d332554ebc87-stderr.log  2016-11-01-20-58-57Z-7c41a6ed-6192-4fea-ae58-e8917dd6e104-stdout.log
2016-11-01-19-33-31Z-a4d3c026-1894-4acd-9b64-ff352fd1eb99-stderr.log  2016-11-01-20-49-10Z-c6a94c4a-f93b-4472-b740-d332554ebc87-stdout.log
[root@ceph-0 ~]# cat  /var/run/heat-config/deployed/2016-11-01-20-58-57Z-7c41a6ed-6192-4fea-ae58-e8917dd6e104-stdout.log
Matching apachectl 'Server version: Apache/2.4.6 (Red Hat Enterprise Linux)
Server built:   Aug  3 2016 08:33:27'
Notice: Scope(Class[Tripleo::Firewall:ost]): At this stage, all network traffic is blocked.
Notice: Compiled catalog for ceph-0.localdomain in environment production in 1.96 seconds
Notice: /Stage[setup]/Tripleo:ackages::Upgrades/Exec[package-upgrade]/returns: executed successfully
Notice: /Stage[main]/Ceph::Osds/Ceph::Osd[/dev/vdb]/Exec[ceph-osd-activate-/dev/vdb]/returns: + test -b /dev/vdb
Notice: /Stage[main]/Ceph::Osds/Ceph::Osd[/dev/vdb]/Exec[ceph-osd-activate-/dev/vdb]/returns: + test -b /dev/vdb
Notice: /Stage[main]/Ceph::Osds/Ceph::Osd[/dev/vdb]/Exec[ceph-osd-activate-/dev/vdb]/returns: + test -b /dev/vdb1
Notice: /Stage[main]/Ceph::Osds/Ceph::Osd[/dev/vdb]/Exec[ceph-osd-activate-/dev/vdb]/returns: + test -f /usr/lib/udev/rules.d/95-ceph-osd.rules.disabled
Notice: /Stage[main]/Ceph::Osds/Ceph::Osd[/dev/vdb]/Exec[ceph-osd-activate-/dev/vdb]/returns: executed successfully
Notice: Finished catalog run in 2.41 seconds

Comment 17 errata-xmlrpc 2016-12-14 15:14:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.